Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations

SNSDingTalkTestConnection

SNSDingTalkTestConnection

POST/zstack/v1/sns/application-endpoints/ding-talk/test-connection

Operation ID

SNSDingTalkTestConnection

Since

5.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • testMsg
      StringRequired

      Testing message text.

    • endpointUuid
      String

      Optional. DingTalk endpoint uuid.

    • url
      String

      Optional. The webhook url.

    • atAll
      Boolean

      Optional. Whether @all or not.

    • atPersonPhoneNumbers
      List

      Optional. @person phone number.

    • secret
      String

      Optional. The DingTalk secret key.

  • systemTags
    List

    Optional. The system tag.

  • userTags
    List

    Optional. The user tag.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • connected
    booleanRequired

    The webhook url connectivity id. (connectivity only)

  • webhookResp
    LinkedHashMapRequired

    Webhook url sents a test message to the other end of the return. (https://open.dingtalk.com/document/robots/custom-robot-access#title-7ur-3ok-s1a)

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.